POST https://api.iglobalstores.com/v1/createTempCart
field↕
notes↕
boxCount
예시 값: 22x15x15(1),8x8x4(2),32x22x14(1) 형식: 상자 치수와 수량의 쉼표로 구분된 목록입니다. 위 예시에서는 총 4개의 상자가 있습니다. 목록의 첫 번째 상자는 길이 22인치, 너비 15인치, 높이 15인치입니다. 해당 크기의 상자는 1개만 사용됩니다. 8x8x4인치 크기의 상자가 2개 있습니다. 편의상 동일한 상자 치수를 여러 번 전달할 수 있습니다. 예: "22x15x15(1),22x15x15(1)"은 22x15x15인치 크기의 상자 2개를 의미합니다. 이 필드는 주문 배송에 사용될 상자를 설명합니다. 주문 시점에 판매자가 이를 알 필요는 없지만, 알고 있는 경우 string 형식으로 전달할 수 있습니다.
contShoppingURL
Zonos Checkout 내부 "Continue Shopping" 버튼의 HREF를 재정의하는 URL을 전달하는 데 사용됩니다. string
domesticShippingCharge
Zonos Checkout에 국내 배송비를 전달하는 데 사용되며, 해당 금액은 배송비에 추가됩니다. 배송 총액에 합산하거나 별도 라인 항목으로 분리하도록 구성할 수 있습니다. positive floating point, two decimal places
externalConfirmationPageURL
주문 확인/감사 페이지 URL을 전달하는 데 사용됩니다. 고객이 Zonos Checkout에서 결제를 완료하면 주문 확인을 위해 이 URL로 리디렉션됩니다. 이 URL은 Zonos "orderDetail" API 서비스 엔드포인트를 호출하여 주문 상세를 조회하고 시스템으로 주문을 가져오는 트리거로 자주 사용됩니다. string
footerHTML
URL 인코딩된 HTML 문자열을 전달하는 데 사용됩니다. 이 HTML 문자열은 디코딩되어 Checkout 페이지의 body 닫는 태그 앞에 배치됩니다. 리마케팅, 분석 등의 코드를 전달하는 데 일반적으로 사용됩니다. URL encoded string
items
REQUIRED
상품 map 목록입니다. JSON string
items[index].countryOfOrigin
상품 원산지를 전달하는 데 사용됩니다. 매개변수는 국가 두 글자 ISO 코드여야 합니다. string
items[index].description
REQUIRED
상품 옵션, 색상 등을 포함한 장바구니 라인 항목의 전체 상품 설명을 전달하는 데 사용됩니다. string
items[index].height
상품 높이를 전달하는 데 사용되며, 정확한 배송 견적을 위해 강력히 권장됩니다. 높이 단위는
REQUIRED
인치입니다. string - positive floating point, two decimal places / integer (inches)
items[index].imageURL
REQUIRED
상품 이미지 URL을 전달하는 데 사용됩니다. URL은 Zonos Checkout 내에서 표시하려면 HTTPS여야 합니다. string / HTTPS URL
items[index]itemBrand
상품 브랜드를 전달하는 데 사용됩니다. string
items[index]itemCategory
상품 카테고리를 전달하는 데 사용되며, 상품에 카테고리가 여러 개인 경우 pipe delimited 형식으로 전달할 수 있습니다. 예시 값: "shoes" 또는 "shoes|sport-shoes|discount-shoes" string
items[index]itemCustomization
Zonos Checkout에 표시되지 않는 상품에 대한 추가 세부 정보를 전달하는 데 사용됩니다. "orderDetail" API 서비스 엔드포인트를 통해 조회할 수 있습니다.
items[index]itemHSCode
상품 HS 코드를 전달하는 데 사용되며, 마침표 유무와 관계없이 전달할 수 있습니다. 예시 값: "3926901000" 또는 "3926.90.1000" string
items[index].itemURL
상품 페이지 URL을 전달하는 데 사용됩니다. string / URL
items[index].length
상품 길이를 전달하는 데 사용되며, 정확한 배송 견적을 위해 강력히 권장됩니다. 길이 단위는
REQUIRED
인치입니다. string - positive floating point, two decimal places / integer (inches)
items[index].nonShippable
상품을 배송, 관세, 세금 계산에 포함할지 여부를 나타내는 데 사용됩니다. 디지털 다운로드, 할인 코드, 취급 수수료 등은 "true" 값으로 전달해야 합니다. boolean: true or false
items[index].productId
라인 항목 수량을 전달하는 데 사용됩니다. string
items[index].quantity
REQUIRED
라인 항목 수량을 전달하는 데 사용됩니다. string
items[index].sku
상품 SKU / UPC 등을 전달하는 데 사용됩니다. string
items[index].unitPrice
REQUIRED
라인 항목 단가를 전달하는 데 사용됩니다. positive floating point, two decimal places / integer
items[index].weight
상품 무게를 전달하는 데 사용되며, 정확한 배송 견적을 위해 강력히 권장됩니다. 무게 단위는 items[index].itemWeightUnits에 다른 무게 단위가 전달되지 않는 한 기본값 "LBS"입니다. string - positive floating point, two decimal places / integer
items[index].weightUnits
기본 상품 무게 단위를 재정의하는 데 사용됩니다. 이 필드에 다른 무게 단위가 전달되지 않는 한 상품 무게 단위는 기본값 "LBS"입니다. string - "LB", "OZ", "KG", or "G”
items[index].width
상품 너비를 전달하는 데 사용되며, 정확한 배송 견적을 위해 강력히 권장됩니다. 너비 단위는
REQUIRED
인치입니다. string - positive floating point, two decimal places / integer (inches)
misc1 - misc6
Zonos "orderDetail" API 서비스 엔드포인트에서 반환되는 주문 데이터와 함께 Zonos API를 통해 조회할 수 있도록 주문과 관련된 기타 데이터를 전달하는 데 사용됩니다. string
referenceId
시스템의 장바구니/세션 등에 대한 고유 참조 식별 값을 전달하는 데 사용됩니다. Zonos "orderDetail" API 서비스 엔드포인트를 통해 Zonos 주문 ID를 조회하는 데 사용할 수 있습니다. string
참고: [yourassignedsubdomain] - Zonos.com 서브도메인을 받으려면 Zonos 구현 팀 담당자에게 문의하세요.
URL 요청 매개변수
field↕
notes↕
tempCartUUID
REQUIRED
Zonos createTempCart API 서비스 엔드포인트를 호출하여 얻는 값입니다. string / GUID
country
목적지 국가의 두 글자 ISO 코드입니다. 사용자 경험을 위해 이 매개변수를 전달하는 것을 강력히 권장합니다. country 매개변수는 Zonos Checkout 내에서 목적지 국가를 미리 선택합니다. 사이트에서 Zonos Hello JS(JavaScript)를 사용하는 경우 JavaScript 메서드 zonos.country()를 호출하여 이 값을 얻을 수 있습니다. string (Length: 2)
Checkout 생성
Checkout 생성
Checkout 생성에 관련된 key/value 쌍을 알아보세요.
이 API 엔드포인트는 고객 장바구니의 장바구니 정보와 상품을 Zonos API로 전송하는 데 사용됩니다.
Zonos System의 고유 장바구니 식별자인
tempCartUUID가 포함된 JSON 응답을 받게 됩니다. 이 값은 고객을 Zonos Checkout으로 리디렉션하여 주문을 완료하는 데 사용됩니다.속성
요청 본문의 JSON key/value 쌍
POST
https://api.iglobalstores.com/v1/createTempCartboxCount형식: 상자 치수와 수량의 쉼표로 구분된 목록입니다. 위 예시에서는 총 4개의 상자가 있습니다. 목록의 첫 번째 상자는 길이 22인치, 너비 15인치, 높이 15인치입니다. 해당 크기의 상자는 1개만 사용됩니다. 8x8x4인치 크기의 상자가 2개 있습니다. 편의상 동일한 상자 치수를 여러 번 전달할 수 있습니다. 예: "22x15x15(1),22x15x15(1)"은 22x15x15인치 크기의 상자 2개를 의미합니다. 이 필드는 주문 배송에 사용될 상자를 설명합니다. 주문 시점에 판매자가 이를 알 필요는 없지만, 알고 있는 경우
string형식으로 전달할 수 있습니다.contShoppingURLstringdomesticShippingChargepositive floating point, two decimal placesexternalConfirmationPageURLstringfooterHTMLURL encoded stringitemsREQUIRED
JSON stringitems[index].countryOfOriginstringitems[index].descriptionREQUIRED
stringitems[index].heightREQUIRED
string - positive floating point, two decimal places / integer (inches)items[index].imageURLREQUIRED
string / HTTPS URLitems[index]itemBrandstringitems[index]itemCategory예시 값: "shoes" 또는 "shoes|sport-shoes|discount-shoes"
stringitems[index]itemCustomizationitems[index]itemHSCode예시 값: "3926901000" 또는 "3926.90.1000"
stringitems[index].itemURLstring / URLitems[index].lengthREQUIRED
string - positive floating point, two decimal places / integer (inches)items[index].nonShippableboolean: true or falseitems[index].productIdstringitems[index].quantityREQUIRED
stringitems[index].skustringitems[index].unitPriceREQUIRED
positive floating point, two decimal places / integeritems[index].weightitems[index].itemWeightUnits에 다른 무게 단위가 전달되지 않는 한 기본값 "LBS"입니다.string - positive floating point, two decimal places / integeritems[index].weightUnitsstring - "LB", "OZ", "KG", or "G”items[index].widthREQUIRED
string - positive floating point, two decimal places / integer (inches)misc1 - misc6stringreferenceIdstringstoreIdREQUIRED
integer추가 string 데이터 유형
items[index].itemDescriptionLongitems[index].itemDescriptionDetaileditems[index].itemFabricContentitems[index].itemColoritems[index].itemLtlClassitems[index].statusitems[index].itemMaterial할인, 쿠폰, 프로모 코드
서버 POST를 통해 Zonos에 할인, 쿠폰, 프로모 코드를 전송하려면
"unitPrice"에 음수 값과"nonShippable":true를 설정한 별도 상품으로 전달해야 합니다.{"description": "Discount (10OFF) - 10% OFF","unitPrice": -15.5,"quantity": 1,"nonShippable": true}HTTPS 응답
성공 HTTP 응답
메시지 형식: JSON
{"tempCartUUID": "826b8f22-0de6-4717-90c7-366def7d0782"}응답 JSON 정의
tempCartUUIDstring매개변수로 전달됩니다.오류 HTTP 응답
HTTP ERROR 422
Problem accessing /v2/createTempCart. Reason:The request entity had the following errors:
Zonos Checkout으로 리디렉션
tempCartUUID가 포함된 성공 응답을 받은 후 서버에서 고객의 브라우저를 아래 URL query string 매개변수와 함께 Zonos Checkout으로 리디렉션합니다.URL 요청 매개변수
tempCartUUIDREQUIRED
createTempCartAPI 서비스 엔드포인트를 호출하여 얻는 값입니다.string / GUIDcountrycountry매개변수는 Zonos Checkout 내에서 목적지 국가를 미리 선택합니다. 사이트에서 Zonos Hello JS(JavaScript)를 사용하는 경우 JavaScript 메서드zonos.country()를 호출하여 이 값을 얻을 수 있습니다.string(Length: 2)추가 string 데이터 유형
customerNamecustomerCompanycustomerEmailcustomerPhonecustomerAltPhonecustomerAddress1customerAddress2customerCitycustomerStatecustomerZip이 페이지가 도움이 되었나요?